Update disconnected character flags with level gates
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
PATCH
/admin/characters/{name}/flags
const url = 'https://example.com/admin/characters/example/flags';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"flags":{"additionalProperty":true},"revision":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/admin/characters/example/flags \ --header 'Content-Type: application/json' \ --data '{ "flags": { "additionalProperty": true }, "revision": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
flags
required
object
key
additional properties
boolean
revision
required
string
Example generated
{ "flags": { "additionalProperty": true }, "revision": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
equipment
required
Array<object> | null
object
container
required
boolean
count
required
integer format: int64
index
required
integer format: int64
locate
required
integer format: int64
name
required
string
no_rent
required
boolean
parent
required
integer format: int64
vnum
required
integer format: int64
fields
required
Array<object> | null
object
group
required
string
key
required
string
label
required
string
max
required
integer format: int64
min
required
integer format: int64
flags
required
Array<object> | null
object
description
required
string
editable
required
boolean
enabled
required
boolean
key
required
string
label
required
string
min_level
required
integer format: int64
inventory
required
Array<object> | null
object
container
required
boolean
count
required
integer format: int64
index
required
integer format: int64
locate
required
integer format: int64
name
required
string
no_rent
required
boolean
parent
required
integer format: int64
vnum
required
integer format: int64
last_saved_at
required
string | null format: date-time
name
required
string
revision
required
string
slots
required
Array<object> | null
object
locate
required
integer format: int64
name
required
string
values
required
object
key
additional properties
integer format: int64
Example generated
{ "equipment": [ { "container": true, "count": 1, "index": 1, "locate": 1, "name": "example", "no_rent": true, "parent": 1, "vnum": 1 } ], "fields": [ { "group": "example", "key": "example", "label": "example", "max": 1, "min": 1 } ], "flags": [ { "description": "example", "editable": true, "enabled": true, "key": "example", "label": "example", "min_level": 1 } ], "inventory": [ { "container": true, "count": 1, "index": 1, "locate": 1, "name": "example", "no_rent": true, "parent": 1, "vnum": 1 } ], "last_saved_at": "2026-04-15T12:00:00Z", "name": "example", "revision": "example", "slots": [ { "locate": 1, "name": "example" } ], "values": { "additionalProperty": 1 }}default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}